Bug 525795 - Review Request: libgtkhotkey - Platform independent hotkey handling for Gtk+ applications
Review Request: libgtkhotkey - Platform independent hotkey handling for Gtk+ ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Guido Grazioli
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 525796
  Show dependency treegraph
 
Reported: 2009-09-25 14:44 EDT by Mads Villadsen
Modified: 2010-01-12 13:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-12 13:17:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
guido.grazioli: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mads Villadsen 2009-09-25 14:44:16 EDT
Spec URL: http://krakoa.dk/fedora/libgtkhotkey.spec
SRPM URL: http://krakoa.dk/fedora/libgtkhotkey-0.2.1-1.fc11.src.rpm
Description: Platform independent hotkey handling for Gtk+ applications
Comment 1 Guido Grazioli 2009-09-26 08:38:44 EDT
Hello, your package doesnt build in koji:
http://koji.fedoraproject.org/koji/getfile?taskID=1709089

You need to BR: intltool (at least)

Your devel package must also Requires: pkgconfig as it includes a .pc file

Please not also that the spec file posted here has a small diff against the one included in your srpm.
Comment 2 Mads Villadsen 2009-09-26 16:43:19 EDT
Thanks for looking at this. I updated the spec file and src.rpm, and I tested that it actually builds in koji this time.

http://krakoa.dk/fedora/libgtkhotkey.spec
http://krakoa.dk/fedora/libgtkhotkey-0.2.1-2.fc11.src.rpm
Comment 3 Guido Grazioli 2009-09-27 05:52:43 EDT
Some other small issues, the doc dir under /usr/share/doc must be versioned /usr/share/doc/%{name}-%{version}, and you should remove the generic INSTALL file which is irrelevant.

Which is your packager account? If you have one i'll take the review, otherwise i cannot sponsor you.
Comment 4 Mads Villadsen 2009-09-27 08:03:36 EDT
The doc issue is now fixed, and I have gotten rid of the INSTALL file.

My packager account name is maxx.

http://krakoa.dk/fedora/libgtkhotkey.spec
http://krakoa.dk/fedora/libgtkhotkey-0.2.1-3.fc11.src.rpm
Comment 5 Guido Grazioli 2009-09-27 11:22:01 EDT
OK - rpmlint output
4 packages and 1 specfiles checked; 0 errors, 0 warnings.
OK - The package must be named according to the Package Naming Guidelines.
OK - The spec file name must match the base package %{name}
OK - The package must meet the Packaging Guidelines
OK - If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc
OK - The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines (license is LGPLv3)
OK - Every binary RPM package which stores shared library files must
call ldconfig in %post and %postun 
OK - The package MUST successfully compile and build
koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1711273
OK - The spec file must be written in American English.
OK - The spec file for the package MUST be legible.
OK - The sources used to build the package must match the upstream source, as
provided in the spec URL. 
bfdc73e68e9adbe0d506d31a25862914  gtkhotkey-0.2.1.tar.gz
NA - The spec file MUST handle locales properly (no translations)
NA - package not relocatable
OK - A package must own all directories that it creates
OK - A Fedora package must not list a file more than once in the spec file's
%files listings
OK - Permissions on files must be set properly
OK - Each package must have a %clean section
OK - Each package must consistently use macros
OK - The package must contain code, or permissable content 
NA - Large documentation files must go in a -doc subpackage (no large doc)
OK - If a package includes something as %doc, it must not affect the runtime of
the application
OK - Header files must be in a -devel package (devel package present)
NA - Static libraries must be in a -static package (no static package)
OK - Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
OK - Packages must NOT contain any .la libtool archives
NA - Packages containing GUI applications MUST include a .desktop file 
OK - No file conflicts with other packages and no general names.
OK - At the beginning of %install, each package MUST run rm -rf %{buildroot}
OK - All filenames in rpm packages must be valid UTF-8
OK - The package does not yet exist in Fedora. The Review Request is not a
duplicate.
OK - %{?dist} tag is used in release


Package APPROVED
Comment 6 Mads Villadsen 2009-09-27 13:43:09 EDT
New Package CVS Request
=======================
Package Name: libgtkhotkey
Short Description: Platform independent hotkey handling for Gtk+ applications
Owners: maxx
Branches: F-11
InitialCC: maxx
Comment 7 Kevin Fenzi 2009-09-29 16:04:06 EDT
cvs done.
Comment 8 Fedora Update System 2009-09-30 17:28:27 EDT
libgtkhotkey-0.2.1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libgtkhotkey-0.2.1-3.fc11
Comment 9 Fedora Update System 2009-10-03 14:58:22 EDT
libgtkhotkey-0.2.1-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-10-04 10:28:02 EDT
libgtkhotkey-0.2.1-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libgtkhotkey-0.2.1-3.fc12
Comment 11 Guido Grazioli 2010-01-12 13:17:25 EST
Package is in stable repository for both F11 and F12, closing bug.

Note You need to log in before you can comment on or make changes to this bug.